Bug 491231 - Can´t play dvd
Can´t play dvd
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: libdvdread (Show other bugs)
rawhide
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-19 18:40 EDT by Thomas Kowaliczek
Modified: 2009-03-22 08:53 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-22 08:53:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
totem report (2.68 KB, text/plain)
2009-03-19 18:41 EDT, Thomas Kowaliczek
no flags Details
gmplayer report (14.05 KB, text/plain)
2009-03-19 18:41 EDT, Thomas Kowaliczek
no flags Details
vlc report (2.87 KB, text/plain)
2009-03-19 18:42 EDT, Thomas Kowaliczek
no flags Details

  None (edit)
Description Thomas Kowaliczek 2009-03-19 18:40:40 EDT
Description of problem:

Can´t play dvds


Version-Release number of selected component (if applicable):
libdvdread-4.1.3

How reproducible:
play an dvd-film

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Thomas Kowaliczek 2009-03-19 18:41:34 EDT
Created attachment 335940 [details]
totem report
Comment 2 Thomas Kowaliczek 2009-03-19 18:41:55 EDT
Created attachment 335941 [details]
gmplayer report
Comment 3 Thomas Kowaliczek 2009-03-19 18:42:12 EDT
Created attachment 335942 [details]
vlc report
Comment 4 Dominik 'Rathann' Mierzejewski 2009-03-21 17:40:40 EDT
Does it work with command-line mplayer dvdnav:// ? I'm going to need a sample to reproduce the problem. And by sample, I mean a copy of the problematic DVD.
Comment 5 Thomas Kowaliczek 2009-03-21 18:40:58 EDT
Do you need an complte iso of the dvd?

That´s the output:

[linuxdonald@localhost ~]$ mplayer dvdnav://
MPlayer SVN-r28461-4.4.0 (C) 2000-2009 MPlayer Team
CPU: Intel(R) Core(TM)2 Duo CPU     P8400  @ 2.26GHz (Family: 6, Model: 23, Stepping: 6)
mplayer: could not connect to socket
mplayer: No such file or directory
Failed to open LIRC support. You will not be able to use your remote control.

Playing dvdnav://.
libdvdnav: Using dvdnav version 4.1.3
libdvdread: Encrypted DVD support unavailable.
libdvdnav: DVD Title: WOLFS_RAIN_1
libdvdnav: DVD Serial Number: 48DC87FF___MVB__
libdvdnav: DVD Title (Alternative): 
libdvdnav: Unable to find map file '/home/linuxdonald/.dvdnav/WOLFS_RAIN_1.map'
libdvdnav: DVD disk reports itself with Region mask 0x00fd0000. Regions: 2

*** libdvdread: CHECK_VALUE failed in /builddir/build/BUILD/libdvdread-4.1.3/src/ifo_read.c:1704 ***
*** for info_length % sizeof(uint32_t) == 0 ***

libdvdnav: ifoRead_VOBU_ADMAP vtsi failed
mplayer: /builddir/build/BUILD/libdvdnav-4.1.3/src/vm/vm.c:1485: process_command: Assertion `0' failed.


MPlayer interrupted by signal 6 in module: open_stream
- MPlayer crashed. This shouldn't happen.
  It can be a bug in the MPlayer code _or_ in your drivers _or_ in your
  gcc version. If you think it's MPlayer's fault, please read
  DOCS/HTML/en/bugreports.html and follow the instructions there. We can't and
  won't help unless you provide this information when reporting a possible bug.
Comment 6 Dominik 'Rathann' Mierzejewski 2009-03-21 20:04:09 EDT
(In reply to comment #5)
> Do you need an complte iso of the dvd?

Maybe... but before we get to that point...

> That´s the output:
> 
> [linuxdonald@localhost ~]$ mplayer dvdnav://
> MPlayer SVN-r28461-4.4.0 (C) 2000-2009 MPlayer Team
> CPU: Intel(R) Core(TM)2 Duo CPU     P8400  @ 2.26GHz (Family: 6, Model: 23,
> Stepping: 6)
> mplayer: could not connect to socket
> mplayer: No such file or directory
> Failed to open LIRC support. You will not be able to use your remote control.
> 
> Playing dvdnav://.
> libdvdnav: Using dvdnav version 4.1.3
> libdvdread: Encrypted DVD support unavailable.

Do you have libdvdcss installed? If not, install it and try again.
Comment 7 Thomas Kowaliczek 2009-03-21 23:35:20 EDT
It don´t give any libdvdcss in fedora rawhide:

[root@localhost ~]# yum search libdvd
Loaded plugins: changelog, dellsysidplugin2, fastestmirror, refresh-packagekit
Loading mirror speeds from cached hostfile
 * rawhide: fedora.tu-chemnitz.de
 * rpmfusion-free-rawhide: ftp.nb.lug.ro
 * rpmfusion-nonfree-rawhide: ftp.nb.lug.ro
============================================================== Matched: libdvd ===============================================================
libdvdnav.i586 : A library for reading DVD video discs based on Ogle code
libdvdnav.x86_64 : A library for reading DVD video discs based on Ogle code
libdvdnav-devel.i586 : Development files for libdvdnav
libdvdnav-devel.x86_64 : Development files for libdvdnav
libdvdread.i586 : A library for reading DVD video discs based on Ogle code
libdvdread.x86_64 : A library for reading DVD video discs based on Ogle code
libdvdread-devel.i586 : Development files for libdvdread
libdvdread-devel.x86_64 : Development files for libdvdread
vobcopy.x86_64 : Utility to copy DVD .vob files to disk
[root@localhost ~]#
Comment 8 Dominik 'Rathann' Mierzejewski 2009-03-22 07:46:50 EDT
Well, you won't find it in Fedora or in RPM Fusion, but you can find the answer in RPM Fusion's FAQ: http://rpmfusion.org/FAQ
Comment 9 Thomas Kowaliczek 2009-03-22 08:53:17 EDT
Ah thank you for your help :)

Note You need to log in before you can comment on or make changes to this bug.